﻿using System;
using Android.App;
using Android.Content;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;
using Syncfusion.SfDataGrid;
using Android.Graphics;

namespace Alternate
{
    [Activity(Label = "Alternate", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        SfDataGrid grid;
        ViewModel viewModel;
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            viewModel = new ViewModel();
            grid = new SfDataGrid(this);
            grid.Id = 1;
            grid.ItemsSource = viewModel.Info;

            RelativeLayout relative = new RelativeLayout(this.BaseContext);
            RelativeLayout.LayoutParams param = new RelativeLayout.LayoutParams(ViewGroup.LayoutParams.MatchParent, ViewGroup.LayoutParams.WrapContent);
            param.AddRule(LayoutRules.AlignBottom, grid.Id);
            relative.LayoutParameters = param;

            Button button = new Button(this.BaseContext);
            button.SetBackgroundColor(Color.Navy);
            button.Text = "TESTING";

            relative.AddView(grid, ViewGroup.LayoutParams.MatchParent, 1000);
            relative.AddView(button, param);
            SetContentView(relative);
        }
    }
}

